# Awesome Electron [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

[<img src="https://rawgit.com/sindresorhus/awesome-electron/master/electron-logo.svg" align="right" width="100">](http://electron.atom.io)

> Useful resources for creating apps with [Electron](http://electron.atom.io)

You might also like [awesome-nodejs](https://github.com/sindresorhus/awesome-nodejs).


## Table of Contents

- [Apps](#apps)
- [Boilerplates](#boilerplates)
- [Tools](#tools)
- [Components](#components)
- [Documentation](#documentation)
- [Articles](#articles)
- [Videos](#videos)
- [Podcasts](#podcasts)
- [Community](#community)
- [Tips](#tips)


## Apps

Made with Electron.

### Open Source

###### Featured

- [WebTorrent](https://github.com/feross/webtorrent-app) - Streaming torrent client.
- [Min](https://github.com/PalmerAL/Min) - Minimal web browser.
- [Mancy](https://github.com/princejwesley/Mancy) - JavaScript REPL.
- [SpaceRadar](https://github.com/zz85/space-radar) - Interactive disk space and memory visualization.
- [Nocturn](https://github.com/k0kubun/Nocturn) - Twitter client.
- [Mojibar](https://github.com/muan/mojibar) - Emoji searcher in your menubar.
- [Playback](https://github.com/mafintosh/playback) - Video player.
- [Black Screen](https://github.com/shockone/black-screen) - Terminal emulator.
- [Atom](https://github.com/atom/atom) - Code editor.
- [Visual Studio Code](https://github.com/Microsoft/vscode) - Cross-platform IDE.
- [N1](https://github.com/nylas/N1) - Extensible email client.
- [Brave](https://github.com/brave/browser-laptop) - Privacy-focused web browser.

###### Other

- [Git-it](https://github.com/jlord/git-it-electron) - Teaches you Git and GitHub.
- [Caprine](https://github.com/sindresorhus/caprine) - Unofficial Facebook Messenger app.
- [Simplenote](https://github.com/Automattic/simplenote-electron) - Note keeper.
- [nuTorrent](https://github.com/LeeChSien/nuTorrent) - BitTorrent client.
- [Abricotine](https://github.com/brrd/Abricotine) - Markdown editor with inline preview.
- [Medis](https://github.com/luin/medis) - Redis database management.
- [Kakapo](https://github.com/bluedaniel/kakapo-app) - Ambient sound mixer for relaxation or productivity.
- [SmartMirror](https://github.com/evancohen/smart-mirror) - Voice controlled smart mirror.
- [Koko](https://github.com/hachibasu/koko) - IRC client.
- [KeeWeb](https://github.com/antelle/keeweb) - Unofficial KeePass app.
- [Soundcast](https://github.com/andresgottlieb/soundcast) - Cast OS X audio to Chromecast from your menubar.
- [Gitify](https://github.com/ekonstantinidis/gitify) - GitHub notifications in your menubar.
- [Friends](https://github.com/moose-team/friends) - P2P chat.
- [Cumulus](https://github.com/gillesdemey/Cumulus) - SoundCloud player in your menubar.
- [Kitematic](https://kitematic.com) - Docker container management.
- [FatFileFinder](https://github.com/pwambach/fat-file-finder) - Find large files on your machine.
- [ScreenCat](https://github.com/maxogden/screencat) - Screen sharing & remote collaboration.
- [Gulp](https://github.com/sindresorhus/gulp-app) - Run Gulp tasks from your menubar.
- [Mapbox Studio](https://github.com/mapbox/mapbox-studio) - Map designer.
- [LevelUI](https://github.com/hij1nx/levelui) - LevelDB management.
- [Kart](https://github.com/maddox/kart) - Front-end for RetroArch.
- [Vmd](https://github.com/yoshuawuyts/vmd) - Preview Markdown files.
- [Kyoku](https://github.com/cheeaun/kyoku) - Displays current iTunes song.
- [GReader](https://github.com/Nekle/greader) - Collect and read offline readme files of GitHub repos.
- [Leanote](https://github.com/leanote/desktop-app) - Cloud notepad.
- [Snapper](https://github.com/prt2121/Snapper) - Screen capturing & recording for Android devices.
- [Imagemin](https://github.com/imagemin/imagemin-app) - Minify images.
- [We Build SG](https://github.com/webuildsg/osx) - Upcoming events & recently updated repos from webuild.sg.
- [Piglet](https://github.com/jenslind/piglet) - Run Grunt tasks from your menubar.
- [Yoda](https://github.com/whoisandie/yoda) - Browse and download YouTube videos.
- [Loop Drop](https://github.com/mmckegg/loop-drop-app) - MIDI looper and synth for live electronic music performances.
- [Fireball](https://github.com/fireball-x/editor-framework) - Hackable game editor for creating mobile and HTML5 games.
- [Toby](https://github.com/frankhale/toby) - YouTube player.
- [Kaku](https://github.com/EragonJ/Kaku) - Music player.
- [Yeoman](https://github.com/yeoman/yeoman-app) - Scaffold projects using Yeoman.
- [Markn](https://github.com/minodisk/markn) - Markdown viewer.
- [Shiba](https://github.com/rhysd/Shiba) - Live Markdown preview with linting.
- [Yays](https://github.com/Bahlaouane-Hamza/Yays) - YouTube music player in your menubar.
- [TimoFM](https://github.com/sapjax/TimoFM) - DoubanFM music player.
- [Monu](https://github.com/maxogden/monu) - Process monitoring.
- [Tèsèvè](https://teseve.github.io) - Static webserver.
- [DevDogs](https://github.com/ragingwind/devdogs) - DevDocs.io API documentation.
- [Trendy](https://rhysd.github.io/Trendy/) - Trending GitHub repos in your menubar.
- [google-music-electron](https://github.com/twolfson/google-music-electron) - Unofficial Google music app.
- [Pomodoro](https://g07cha.github.io/pomodoro/) - Timer based on the Pomodoro Technique.
- [Sia-UI](http://sia.tech) - Decentralized file storage system based on cryptocurrency technology.
- [MarkRight](https://github.com/dvcrn/markright) - GitHub flavored Markdown editor with live preview.
- [Mongotron](https://github.com/officert/mongotron) - MongoDB management tool.
- [Colonizers](https://github.com/colonizers/colonizers-desktop) - "Catan" inspired board game.
- [Eintopf](https://github.com/mazehall/eintopf) - Manage development projects with Docker.
- [WhatsDesktop](https://github.com/mawie81/whatsdesktop) - Unofficial WhatsApp app.
- [Sqlectron](https://github.com/sqlectron/sqlectron-gui) - SQL client.
- [docker-indicator](https://github.com/khornberg/docker-indicator) - Unofficial Docker menubar app.
- [Light Table](https://github.com/LightTable/LightTable) - Code editor with instant feedback.
- [Tubehead](https://github.com/makotot/Tubehead) - YouTube music player in your menubar.
- [Google Play Music Desktop Player](https://github.com/MarshallOfSound/Google-Play-Music-Desktop-Player-UNOFFICIAL-) - Unofficial Google Play Music app.
- [Chrome DevTools](https://github.com/auchenberg/chrome-devtools-app) - Chrome DevTools packaged as an app.
- [Yeobara](https://github.com/yeobara/yeobara-desktop) - Meetup check-in with beacon.
- [Proton](https://github.com/steventhanna/proton) - Markdown editor with live preview.
- [James](https://github.com/uxebu/james) - HTTP proxy to view and intercept browser requests.
- [DTCP](https://github.com/alchen/DTCP) - Twitter client.
- [Inbox](https://github.com/fgnass/inbox-app) - Unofficial Google Inbox app.
- [alienbox](http://a9.io/alienbox/) - Reddit inbox & notifier in your menubar.
- [tweet-rec](https://github.com/midnightSuyama/tweet-rec) - Tweet recording player.
- [Snippet Bar](https://github.com/teesloane/snippet-bar) - Copy-paste & re-use text snippets in your menubar.
- [Electronic WeChat](https://github.com/geeeeeeeeek/electronic-wechat) - Unofficial WeChat app.
- [dida](https://github.com/xwartz/dida) - Add tasks to TickTick (滴答清单) with a shortcut.
- [FromScratch](https://github.com/kilian/fromscratch) - Autosaving scratchpad.
- [Hawkpass](https://github.com/kalpetros/hawkpass-desktop) - Password generator.
- [Gokotta](https://github.com/Zhangdroid/Gokotta) - Music player.
- [Shake](https://github.com/lumios/shake) - Japanese Earthquake Early Warning Notifier.
- [Fog](https://github.com/vitorgalvao/fog) - Unofficial Overcast podcast app.
- [Wmail](https://github.com/Thomas101/wmail) - Unofficial Gmail & Google Inbox app.
- [Boostnote](https://github.com/BoostIO/Boostnote) - Markdown note app for developers.
- [Before Dawn](https://github.com/muffinista/before-dawn) - Screensaver tool.
- [Active Collab](https://github.com/nurtext/active-collab-desktop) - Unofficial Active Collab app.
- [Hain](https://github.com/appetizermonster/hain) - Launcher for Windows.
- [Catify](https://github.com/MeoBeoI/Catify) - Utility for Spotify.
- [Minira](https://github.com/jenslind/minira) - JIRA issues in your menubar.
- [Ansel](https://github.com/m0g/ansel) - Image organizer.
- [Cuttle](https://github.com/oakmac/cuttle) - UI for the ClojureScript compiler.
- [Sample apps](https://github.com/hokein/electron-sample-apps) - Sample apps to illustrate the usage of Electron APIs.
- [Build Checker App](https://github.com/willmendesneto/build-checker-app) - Check CI-server build statuses.
- [Backer Timetracker](https://github.com/MayGo/backer-timetracker) - Tracks your time.

### Closed Source

- [GitKraken](http://www.gitkraken.com) - Git client.
- [1Clipboard](http://1clipboard.io) - Universal clipboard manager.
- [Franz](http://meetfranz.com) - Skype, Slack, Hangouts, WhatsApp, Grape, Telegram, FB Messenger, Hipchat in the same app.
- [Postman](https://www.getpostman.com) - Create and send HTTP requests.
- [Slack](https://medium.com/ben-and-dion/how-slack-built-a-well-loved-product-going-against-peter-thiel-and-native-app-fashion-2abbbe5a022f) - Desktop version.
- [Avocode](http://avocode.com) - Share design and collaborate.
- [Pixate](http://www.pixate.com) - Mobile interaction designer.
- [Prepros](https://prepros.io) - Compile almost any preprocessing language with live browser refresh.
- [Stremio](http://www.strem.io) - Media center.
- [Typetalk](http://www.typetalk.in) - Share and discuss ideas with your team through instant messaging.
- [Pingendo](http://pingendo.com) - Bootstrap prototyping.
- [Spreaker Studio](https://www.spreaker.com/download) - Audio recording and broadcasting.
- [MockingBot](https://mockingbot.com) - Prototyping tool for designing apps.
- [Wire](https://wire.com) - Messenger and calling app.
- [Caret](http://caret.io) - Markdown editor.
- [Wagon](https://www.wagonhq.com) - SQL editor.
- [SIV](http://www.integritytools.com/siv/) - Extensible image viewer.
- [Sync](https://www.wantedly.com/sync) - Team group messaging. *(Japanese)*
- [Remember](https://rememberapp.co.kr) - Business card management. *(Korean)*
- [Pubu](https://pubu.im) - Real-time chat for team communication. *(Chinese)*
- [BearyChat](https://bearychat.com) - Team messaging service. *(Chinese)*


## Boilerplates

- [electron-boilerplate](https://github.com/sindresorhus/electron-boilerplate) *(by sindresorhus)* - Boilerplate to kickstart creating an app.
- [generator-electron](https://github.com/sindresorhus/generator-electron) - Scaffold out an app boilerplate.
- [electron-boilerplate](https://github.com/szwacz/electron-boilerplate) *(by szwacz)* - Comprehensive boilerplate which even generates installers.
- [electron-react-boilerplate](https://github.com/chentsulin/electron-react-boilerplate) - Boilerplate based on React and webpack.
- [descjop](https://github.com/karad/lein_template_descjop) - ClojureScript boilerplate for creating an app.


## Tools

### For Electron

- [electron-prebuilt](https://github.com/mafintosh/electron-prebuilt) - Install prebuilt Electron binaries for command-line use using npm.
- [electron-packager](https://github.com/electron-userland/electron-packager) - Package and distribute your app.
- [electron-builder](https://github.com/loopline-systems/electron-builder) - Create installers.
- [electron-debug](https://github.com/sindresorhus/electron-debug) - Adds useful debug features.
- [electron-is-dev](https://github.com/sindresorhus/electron-is-dev) - Check if Electron is running in development.
- [electron-localshortcut](https://github.com/parro-it/electron-localshortcut) - Add keyboard shortcuts locally to a window.
- [electron-gh-release](https://github.com/jenslind/electron-gh-releases) - Auto-update by releasing on GitHub.
- [electron-release](https://github.com/jenslind/electron-release) - Publish a new release of your app to GitHub.
- [electron-updater](https://github.com/evolvelabs/electron-updater) - Auto-updater leveraging npm to deploy updates.
- [fix-path](https://github.com/sindresorhus/fix-path) - Fix the $PATH on OS X when run from a GUI app. Useful when spawning a child process.
- [auto-launch](https://github.com/Teamwork/node-auto-launch) - Launch apps at system startup.
- [nuts](https://github.com/GitbookIO/nuts) - Releases server with auto-updater and GitHub as a backend.
- [electron-dl](https://github.com/sindresorhus/electron-dl) - Simplified file downloads.
- [electron-release-server](https://github.com/ArekSredzki/electron-release-server) - Self-hosted release server with front-end & auto-updater support.
- [electron-rebuild](https://github.com/paulcbetts/electron-rebuild) - Rebuild native Node.js modules against the currently installed Electron version.
- [electron-compile](https://github.com/paulcbetts/electron-compile) - Use ES2015, CoffeeScript, LESS, SCSS in your app without a precompilation step.
- [electron-positioner](https://github.com/jenslind/electron-positioner) - Position windows at common spots.
- [electron-window-state](https://github.com/mawie81/electron-window-state) - Save and restore window sizes and positions.
- [electron-drag](https://github.com/kapetan/electron-drag) - Improved window dragging.
- [debug-menu](https://github.com/parro-it/debug-menu) - Chrome-like "inspect element" context-menu.
- [electron-installer-debian](https://github.com/unindented/electron-installer-debian) - Create a Debian package.
- [electron-installer-redhat](https://github.com/unindented/electron-installer-redhat) - Create a Red Hat package.
- [electron-installer-windows](https://github.com/unindented/electron-installer-windows) - Create a Windows package.
- [electron-sudo](https://github.com/automation-stack/electron-sudo) - Subprocesses with administrative privileges.
- [electron-json-storage](https://github.com/jviotti/electron-json-storage) - Write and read user settings.
- [electron-download](https://github.com/electron-userland/electron-download) - Download the Electron release zip from GitHub.
- [ipc-stream](https://github.com/jprichardson/electron-ipc-stream) - Duplex stream over IPC.
- [is-electron-renderer](https://github.com/jprichardson/is-electron-renderer) - Check if your code is running in `main` or `renderer`.
- [electron-osx-sign](https://github.com/electron-userland/electron-osx-sign) - Code-signing for OS X apps.
- [electron-detach](https://github.com/parro-it/electron-detach) - Restart an Electron app as a detached process.
- [editor-framework](https://github.com/fireball-x/editor-framework) - Easily create dockable IDE apps.
- [ember-electron](https://github.com/felixrieseberg/ember-electron) - Build, test, and package Ember apps.
- [electrify](https://github.com/arboleya/electrify) - Package Meteor apps.

### Using Electron

- [devtool](https://github.com/Jam3/devtool) - Debug Node.js with Chrome DevTools.
- [nativefier](https://github.com/jiahaog/nativefier) - Create an app of any website.
- [electron-stream](https://github.com/juliangruber/electron-stream) - Streaming wrapper.
- [Nightmare](http://www.nightmarejs.org) - High-level browser automation library (alternative to PhantomJS).
- [electron-pdf](https://github.com/fraserxu/electron-pdf) - Generate PDF from URL, HTML, or Markdown files on the command-line.
- [Geojsonapp](https://github.com/mick/geojsonapp) - Preview GeoJSON locally.
- [electron-mocha](https://github.com/jprichardson/electron-mocha) - Run your Mocha tests in Electron.
- [electron-har](https://github.com/shyiko/electron-har) - Command-line tool for generating HTTP Archive (HAR).


## Components

- [Photon](http://photonkit.com) - UI toolkit for building beautiful apps.
- [React PhotonKit](https://github.com/react-photonkit/react-photonkit) - Photon components built with React.
- [menubar](https://github.com/maxogden/menubar) - High-level way to create a menubar app.
- [cookies](https://github.com/hstove/electron-cookies) - Adds support for `document.cookie`.
- [window](https://github.com/jprichardson/electron-window) - Easily create and manage windows.
- [React Desktop](https://github.com/gabrielbull/react-desktop) - UI toolkit for OS X and Windows built with React.
- [electron-input-menu](https://github.com/parro-it/electron-input-menu) - Context menu for input elements.
- [chrome-tabs](https://github.com/adamschwartz/chrome-tabs) - Chrome like tabs.
- [titlebar](https://github.com/kapetan/titlebar) - Emulate the OS X window titlebar.


## Documentation

- [Quick Start](http://electron.atom.io/docs/latest/tutorial/quick-start/)
- [Official docs](http://electron.atom.io/docs/latest/)
- [Architecture overview](https://github.com/ilyavorobiev/atom-docs/blob/master/atom-shell/Architecture.md)


## Articles

- [Electron Fundamentals](http://maxogden.com/electron-fundamentals.html)
- [Building a desktop application with Electron](https://medium.com/@bojzi/building-a-desktop-application-with-electron-204203eeb658)
- [Codesigning your app for OS X](http://jbavari.github.io/blog/2015/08/14/codesigning-electron-applications/)
- [Auto-updating apps for Windows and OS X: The complete guide](https://medium.com/@svilen/auto-updating-apps-for-windows-and-osx-using-electron-the-complete-guide-4aa7a50b904c)


## Videos

- [Creating Desktop Apps with Electron](https://www.youtube.com/watch?v=ojX5yz35v4M)
- [Packaging and Distributing Electron Desktop Apps](https://www.youtube.com/watch?v=dz5SnmBzBXc)
- [Multi Window Electron Desktop Apps](https://www.youtube.com/watch?v=K-H2amwQ_pU)
- [The State of Electron](https://www.youtube.com/watch?v=RaPmi-33rfc)
- [Cross-Platform Desktop Apps with Electron](https://www.youtube.com/watch?v=Xs3Oc4weZbw)
- [Building Native Desktop apps using Electron](https://www.youtube.com/watch?v=nXIrFq5-FC8)

## Podcasts

- [JavaScript Jabber: Electron with Jessica Lord and Amy Palamountain](https://devchat.tv/js-jabber/193-jsj-electron-with-jessica-lord-and-amy-palamountain)

## Community

- [Discuss](https://discuss.atom.io/c/electron)
- [StackOverflow](http://stackoverflow.com/questions/tagged/electron)
- [`@electronjs` on Twitter](https://twitter.com/electronjs)
- [`#atom-shell` on Freenode](http://webchat.freenode.net/?channels=atom-shell)
- [`#electron` on Atom Slack](http://atom-slack.herokuapp.com)
- [electron-jp](https://electron-jp-slackin.herokuapp.com) *(Japanese)*
- [electron-br](https://electron-br.slack.com) *(Brazilian Portuguese)*
- [electron-kr](http://www.meetup.com/electronkr) *(Korean)*


## Tips

Contribute some ;)


## Contribute

Contributions welcome! Read the [contribution guidelines](contributing.md) first.


## License

[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](https://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [Sindre Sorhus](http://sindresorhus.com) has waived all copyright and related or neighboring rights to this work.
